aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStefan Wagner <stw@bit-strickerei.de>2018-01-21 00:58:53 +0100
committerCarlo Landmeter <clandmeter@alpinelinux.org>2018-04-15 08:56:48 +0000
commit2341d634ea17141fd91c914deb53fa645625776d (patch)
treea963944f2177c6ced5b426b556e45a6cbaf9c250
parent69c098affe35e96409e7948a476fa0d4387530ed (diff)
downloadaports-2341d634ea17141fd91c914deb53fa645625776d.tar.gz
aports-2341d634ea17141fd91c914deb53fa645625776d.tar.bz2
aports-2341d634ea17141fd91c914deb53fa645625776d.tar.xz
testing/go-gdm: new aport
-rw-r--r--testing/go-gdm/APKBUILD46
-rw-r--r--testing/go-gdm/Godeps.json11
2 files changed, 57 insertions, 0 deletions
diff --git a/testing/go-gdm/APKBUILD b/testing/go-gdm/APKBUILD
new file mode 100644
index 0000000000..f0cc7b8a39
--- /dev/null
+++ b/testing/go-gdm/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Stefan Wagner <stw@bit-strickerei.de>
+# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
+pkgname=go-gdm
+_pkgname=gdm
+pkgver=1.4
+pkgrel=0
+pkgdesc="Minimalist dependency manager for Go written in Go."
+url="https://github.com/sparrc/gdm"
+arch="all"
+license="Unlicense"
+depends="go"
+makedepends="godep"
+install=""
+subpackages=""
+source="$_pkgname-$pkgver.tar.gz::https://github.com/sparrc/$_pkgname/archive/$pkgver.tar.gz
+ Godeps.json
+ "
+builddir="$srcdir/go/src/github.com/sparrc/$_pkgname"
+options="!check" # has not tests
+
+prepare() {
+ mkdir -p "$srcdir/go/src/github.com/sparrc"
+ mv "$srcdir/$_pkgname-$pkgver" "$builddir"
+ rm "$builddir/Godeps"
+ mkdir -p "$builddir/Godeps"
+ mv "$srcdir/Godeps.json" "$builddir/Godeps/Godeps.json"
+ export GOPATH="$srcdir/go"
+ cd "$builddir"
+ godep get
+
+ default_prepare
+}
+
+build() {
+ export GOPATH="$srcdir/go"
+ cd "$builddir"
+ go build -v -o gdm -ldflags "-X main.version=$pkgver" || return 1
+}
+
+package() {
+ cd "$builddir"
+ install -sD -m 755 gdm "$pkgdir"/usr/bin/gdm
+}
+
+sha512sums="43d533536a44e742bfe7921e1e2f383f6ab016cd8beac6a426634737f8ccee0a7a35da888340994fa4e3023c12507c014d7713cb37cec054b30ce95495ebfc8a gdm-1.4.tar.gz
+362add994473d3907703012ffbb863ddc6a6f61ff69486d834c60ec368a101f470bb2569f39c47df6e0b3f40b0d4f76d421e1854054c38d976f8ecb4a2c3299a Godeps.json"
diff --git a/testing/go-gdm/Godeps.json b/testing/go-gdm/Godeps.json
new file mode 100644
index 0000000000..bf506d0f9b
--- /dev/null
+++ b/testing/go-gdm/Godeps.json
@@ -0,0 +1,11 @@
+{
+ "ImportPath": "github.com/sparrc/gdm/gdm-1.4",
+ "GoVersion": "go1.9",
+ "GodepVersion": "v75",
+ "Deps": [
+ {
+ "ImportPath": "golang.org/x/tools/go/vcs",
+ "Rev": "6f233b96dfbc53e33b302e31b88814cf74697ff6"
+ }
+ ]
+}